io.agora.rtc

## Class RemoteAudioTrackStats

- java.lang.Object
- - io.agora.rtc.RemoteAudioTrackStats

-     public class RemoteAudioTrackStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `audioLossRate` The audio frame loss rate in the reported interval.
    `private int` | `frozenRate` The total audio freeze time as a percentage (%) of the total time when the audio is available.
    `private int` | `jitterBufferDelay` Delay (ms) from the receiver to the jitter buffer.
    `private int` | `networkTransportDelay` Network delay (ms) from the sender to the receiver.
    `private int` | `numChannels` The number of channels.
    `private int` | `quality` Audio quality received by the user.
    `private int` | `receivedBitrate` The average bitrate (Kbps) of the received audio stream in the reported interval.
    `private long` | `receivedBytes` The number of audio bytes received.
    `private int` | `receivedSampleRate` The sample rate (Hz) of the received audio stream in the reported interval.
    `private int` | `totalFrozenTime` The total freeze time (ms) of the remote audio stream after the remote user joins the channel.
    `private int` | `uid` User ID of the remote user sending the audio streams.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteAudioTrackStats()`
    `RemoteAudioTrackStats(int uid, int quality, int networkTransportDelay, int jitterBufferDelay, int audioLossRate, int numChannels, int receivedSampleRate, int receivedBitrate, int totalFrozenTime, int frozenRate, long receivedBytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioLossRate()`
    `int` | `getFrozenRate()`
    `int` | `getJitterBufferDelay()`
    `int` | `getNetworkTransportDelay()`
    `int` | `getNumChannels()`
    `int` | `getQuality()`
    `int` | `getReceivedBitrate()`
    `long` | `getReceivedBytes()`
    `int` | `getReceivedSampleRate()`
    `int` | `getTotalFrozenTime()`
    `int` | `getUid()`
    `void` | `setAudioLossRate(int audioLossRate)`
    `void` | `setFrozenRate(int frozenRate)`
    `void` | `setJitterBufferDelay(int jitterBufferDelay)`
    `void` | `setNetworkTransportDelay(int networkTransportDelay)`
    `void` | `setNumChannels(int numChannels)`
    `void` | `setQuality(int quality)`
    `void` | `setReceivedBitrate(int receivedBitrate)`
    `void` | `setReceivedBytes(long receivedBytes)`
    `void` | `setReceivedSampleRate(int receivedSampleRate)`
    `void` | `setTotalFrozenTime(int totalFrozenTime)`
    `void` | `setUid(int uid)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

      User ID of the remote user sending the audio streams.

    - #### quality

          private int quality

      Audio quality received by the user.

    - #### networkTransportDelay

          private int networkTransportDelay

      Network delay (ms) from the sender to the receiver.

    - #### jitterBufferDelay

          private int jitterBufferDelay

      Delay (ms) from the receiver to the jitter buffer.

    - #### audioLossRate

          private int audioLossRate

      The audio frame loss rate in the reported interval.

    - #### numChannels

          private int numChannels

      The number of channels.

    - #### receivedSampleRate

          private int receivedSampleRate

      The sample rate (Hz) of the received audio stream in the reported interval.

    - #### receivedBitrate

          private int receivedBitrate

      The average bitrate (Kbps) of the received audio stream in the reported interval.

    - #### totalFrozenTime

          private int totalFrozenTime

      The total freeze time (ms) of the remote audio stream after the remote user joins the channel. In a session, audio freeze occurs when the audio frame loss rate reaches 4%. Agora uses 2 seconds as an audio piece unit to calculate the audio freeze time. The total audio freeze time = The audio freeze number x 2 seconds

    - #### frozenRate

          private int frozenRate

      The total audio freeze time as a percentage (%) of the total time when the audio is available.

    - #### receivedBytes

          private long receivedBytes

      The number of audio bytes received.

  - ### Constructor Detail

    - #### RemoteAudioTrackStats

          public RemoteAudioTrackStats()

    - #### RemoteAudioTrackStats

          public RemoteAudioTrackStats(int uid,
                                       int quality,
                                       int networkTransportDelay,
                                       int jitterBufferDelay,
                                       int audioLossRate,
                                       int numChannels,
                                       int receivedSampleRate,
                                       int receivedBitrate,
                                       int totalFrozenTime,
                                       int frozenRate,
                                       long receivedBytes)

  - ### Method Detail

    - #### getUid

          public int getUid()

    - #### setUid

          public void setUid(int uid)

    - #### getQuality

          public int getQuality()

    - #### setQuality

          public void setQuality(int quality)

    - #### getNetworkTransportDelay

          public int getNetworkTransportDelay()

    - #### setNetworkTransportDelay

          public void setNetworkTransportDelay(int networkTransportDelay)

    - #### getJitterBufferDelay

          public int getJitterBufferDelay()

    - #### setJitterBufferDelay

          public void setJitterBufferDelay(int jitterBufferDelay)

    - #### getAudioLossRate

          public int getAudioLossRate()

    - #### setAudioLossRate

          public void setAudioLossRate(int audioLossRate)

    - #### getNumChannels

          public int getNumChannels()

    - #### setNumChannels

          public void setNumChannels(int numChannels)

    - #### getReceivedSampleRate

          public int getReceivedSampleRate()

    - #### setReceivedSampleRate

          public void setReceivedSampleRate(int receivedSampleRate)

    - #### getReceivedBitrate

          public int getReceivedBitrate()

    - #### setReceivedBitrate

          public void setReceivedBitrate(int receivedBitrate)

    - #### getTotalFrozenTime

          public int getTotalFrozenTime()

    - #### setTotalFrozenTime

          public void setTotalFrozenTime(int totalFrozenTime)

    - #### getFrozenRate

          public int getFrozenRate()

    - #### setFrozenRate

          public void setFrozenRate(int frozenRate)

    - #### getReceivedBytes

          public long getReceivedBytes()

    - #### setReceivedBytes

          public void setReceivedBytes(long receivedBytes)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`